!*** MODULE for_fp_class IDENT JDR1-001 ***
!!DEC$ OPTIONS /NOALIGN
!	PARAMETER FOR_K_FP_SNAN        = '00000000'X
!	PARAMETER FOR_K_FP_QNAN        = '00000001'X
!	PARAMETER FOR_K_FP_POS_INF     = '00000002'X
!	PARAMETER FOR_K_FP_NEG_INF     = '00000003'X
!	PARAMETER FOR_K_FP_POS_NORM    = '00000004'X
!	PARAMETER FOR_K_FP_NEG_NORM    = '00000005'X
!	PARAMETER FOR_K_FP_POS_DENORM  = '00000006'X
!	PARAMETER FOR_K_FP_NEG_DENORM  = '00000007'X
!	PARAMETER FOR_K_FP_POS_ZERO    = '00000008'X
!	PARAMETER FOR_K_FP_NEG_ZERO    = '00000009'X
!	PARAMETER FOR_K_FP_OTHER_VALUE = '0000000A'X	
!!DEC$ END OPTIONS

subroutine class_text(class_x, class_char)

integer(4) class_x
character(30) class_char

select case(class_x)

case(0,1)   ! Nan
class_char ='NaN'

case(2)
class_char ='+ Infinit'
case(3)
class_char ='- Infinit'

case(4)
class_char ='+ Normalizat'
case(5)
class_char ='- Normalizat'

case(6)
class_char ='+ Denormalizat'
case(7)
class_char ='- Denormalizat'

case(8)
class_char ='+ Zero'
case(9)
class_char ='- Zero'

case default
class_char ='Alta valoare'

end select

class_char ='** fp_class: '//trim(class_char)
END
